libvisio::VSDPolylineTo2 Class Reference
Inheritance diagram for libvisio::VSDPolylineTo2:

## Public Member Functions

| VSDPolylineTo2 (unsigned id, unsigned level, double x, double y, unsigned dataID)
| ~VSDPolylineTo2 () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
unsigned | getDataID () const override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
void | setLevel (unsigned level)

## Public Attributes

unsigned | m_dataID
double | m_x
double | m_y

## Additional Inherited Members

Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## VSDPolylineTo2()

libvisio::VSDPolylineTo2::VSDPolylineTo2 | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | unsigned | dataID )

inline

Referenced by clone().

## ~VSDPolylineTo2()

libvisio::VSDPolylineTo2::~VSDPolylineTo2 | ( |  | ) |

inline override

## Member Function Documentation

## clone()

libvisio::VSDGeometryListElement * libvisio::VSDPolylineTo2::clone | ( |  | ) |

override virtual

Implements libvisio::VSDGeometryListElement.

## getDataID()

unsigned libvisio::VSDPolylineTo2::getDataID | ( |  | ) | const

override virtual

Reimplemented from libvisio::VSDGeometryListElement.

## handle()

void libvisio::VSDPolylineTo2::handle | ( | VSDCollector * | collector | ) | const

override virtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## m_dataID

unsigned libvisio::VSDPolylineTo2::m_dataID

Referenced by clone(), getDataID(), handle(), and VSDPolylineTo2().

## m_x

double libvisio::VSDPolylineTo2::m_x

Referenced by clone(), handle(), and VSDPolylineTo2().

## m_y

double libvisio::VSDPolylineTo2::m_y

Referenced by clone(), handle(), and VSDPolylineTo2().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp